CoreGTK 3.22.0 CoreGTK is an Objective-C language binding for the GTK+ widget toolkit

Instance Methods | List of all members
CGTKNativeDialog Class Reference
Inheritance diagram for CGTKNativeDialog:
[legend]
Collaboration diagram for CGTKNativeDialog:
[legend]

## Instance Methods
(GtkNativeDialog *) | - NATIVEDIALOG
(void) | - destroy
(BOOL) | - getModal
(const char *) | - getTitle
(GtkWindow *) | - getTransientFor
(BOOL) | - getVisible
(void) | - hide
(gint) | - run
(void) | - setModal:
(void) | - setTitle:
(void) | - setTransientFor:
(void) | - show
Instance Methods inherited from CGTKBase
(id) | - initWithGObject:
(GtkWidget *) | - WIDGET
(void) | - setGObject:
(GObject *) | - GOBJECT

## Additional Inherited Members
Class Methods inherited from CGTKBase
(CGTKBase *) | + withGObject:
Protected Attributes inherited from CGTKBase
GObject * | __gObject

## Detailed Description

Definition at line 34 of file CGTKNativeDialog.h.

## Method Documentation

## ◆ destroy()

- (void) destroy |  |  |

-(void*)destroy;

Definition at line 41 of file CGTKNativeDialog.m.

## ◆ getModal()

- (BOOL) getModal |  |  |

-(BOOL*)getModal;

Returns
  BOOL

Definition at line 46 of file CGTKNativeDialog.m.

## ◆ getTitle()

- (const char *) getTitle |  |  |

-(const char**)getTitle;

Returns
  const char*

Definition at line 51 of file CGTKNativeDialog.m.

## ◆ getTransientFor()

- (GtkWindow *) getTransientFor |  |  |

-(GtkWindow**)getTransientFor;

Returns
  GtkWindow*

Definition at line 56 of file CGTKNativeDialog.m.

## ◆ getVisible()

- (BOOL) getVisible |  |  |

-(BOOL*)getVisible;

Returns
  BOOL

Definition at line 61 of file CGTKNativeDialog.m.

## ◆ hide()

- (void) hide |  |  |

-(void*)hide;

Definition at line 66 of file CGTKNativeDialog.m.

## ◆ NATIVEDIALOG()

- (GtkNativeDialog *) NATIVEDIALOG |  |  |

Methods

Definition at line 36 of file CGTKNativeDialog.m.

## ◆ run()

- (gint) run |  |  |

-(gint*)run;

Returns
  gint

Definition at line 71 of file CGTKNativeDialog.m.

## ◆ setModal:()

- (void) setModal: |  | (BOOL) | modal |

-(void*)setModal: modal;

Parameters

  modal |

Definition at line 76 of file CGTKNativeDialog.m.

## ◆ setTitle:()

- (void) setTitle: |  | (const char*) | title |

-(void*)setTitle: title;

Parameters

  title |

Definition at line 81 of file CGTKNativeDialog.m.

## ◆ setTransientFor:()

- (void) setTransientFor: |  | (GtkWindow*) | parent |

-(void*)setTransientFor: parent;

Parameters

  parent |

Definition at line 86 of file CGTKNativeDialog.m.

## ◆ show()

- (void) show |  |  |

-(void*)show;

Definition at line 91 of file CGTKNativeDialog.m.

The documentation for this class was generated from the following files:

- CGTKNativeDialog.h
- CGTKNativeDialog.m